Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist.bytecode
Class ByteArray

    java.lang.Object
      |
      +--javassist.bytecode.ByteArray

public class ByteArray
extends java.lang.Object

A collection of static methods for reading and writing a byte array.

Constructor Summary
`ByteArray()`

Method Summary
`static int` | `read32bit(byte[] code, int index)` Reads a 32bit integer at the index.
`static int` | `readS16bit(byte[] code, int index)` Reads a signed 16bit integer at the index.
`static int` | `readU16bit(byte[] code, int index)` Reads an unsigned 16bit integer at the index.
`static void` | `write16bit(int value, byte[] code, int index)` Writes a 16bit integer at the index.
`static void` | `write32bit(int value, byte[] code, int index)` Writes a 32bit integer at the index.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArray

    public ByteArray()

Method Detail

### readU16bit

    public static int readU16bit(byte[] code,
                                 int index)

  Reads an unsigned 16bit integer at the index.

### readS16bit

    public static int readS16bit(byte[] code,
                                 int index)

  Reads a signed 16bit integer at the index.

### write16bit

    public static void write16bit(int value,
                                  byte[] code,
                                  int index)

  Writes a 16bit integer at the index.

### read32bit

    public static int read32bit(byte[] code,
                                int index)

  Reads a 32bit integer at the index.

### write32bit

    public static void write32bit(int value,
                                  byte[] code,
                                  int index)

  Writes a 32bit integer at the index.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.